Name:          rutgers-mobile-scripts
Version:       1.0
Release:       1%{?dist}
Summary:       PHP scripts that handle the Rutgers Mobile application's backend.
Group:         Applications/Daemons
License:       GNU
URL:           http://oss.rutgers.edu/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
Source0:       rutgers-mobile-scripts-%version.tar.gz

BuildRequires: php

%description
These PHP scripts handle Rutgers Mobile backend which includes
Nextbus API, Dining Menus and more. These scripts are PHP'ized
and then daemonized with nohup/bash.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

### Making master directory
%{__install} -m 755 -d  %{buildroot}/var/ru_mobile

### Installing the master init script properly
%{__install} -Dp -m0755 ru_mobile.init %{buildroot}/etc/init.d/ru_mobile

### Placing the daemonizers in the correct place
%{__install} -Dp -m0755 -d daemons/ %{buildroot}/var/ru_mobile/

### Placing all PHP files in the correct directory
%{__install} -Dp -m0755 -d scripts/ %{buildroot}/var/ru_mobile/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
/etc/init.d/ru_mobile

%changelog
* Tue Jul 27 2011 Steven Lu <sjlu@nbcs.rutgers.edu> 1.0-1.ru
- First initial package of the Rutgers Mobile script backend.
